// (c) MIT 2003.  All rights reserved.

package rec.house;

import java.util.*;
import java.awt.*;
import rec.util.*;
import rec.sys.*;
import rec.core.*;

public class RegionShuffler extends Recognizer
{
  public RegionShuffler()
  {
  }

  public boolean recognize( Surface s, Widget w )
  {
    // move region to bottom so it is drawn first.
    s.shuffleToBottom( w );

    return false;
  }

  public Iterator getInputTypes()
  {
    Vector v = new Vector();

    v.addElement( "rec.core.WLine" );

    return( v.iterator() );
  }

  public Iterator getOutputTypes()
  {
    Vector v = new Vector();

    v.addElement( "rec.house.Region" );

    return( v.iterator() );
  }
}

////////////////////////////////////////////////////////////////////////////////
